/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.gemstone.gemfire.management.internal.security;

public class ResourceConstants {
	
	//public static final String LIST_DS = "LIST_DS";
	public static final String READ_DS = "READ_DS";
	public static final String SET_DS = "SET_DS";
	public static final String CHANGE_ALERT_LEVEL_DS = "CHANGE_ALERT_LEVEL_DS";
	public static final String BACKUP_DS = "BACKUP_DS";
	public static final String REMOVE_DISKSTORE_DS = "REMOVE_DISKSTORE_DS";
	public static final String SHUTDOWN_DS = "SHUTDOWN_DS";
	public static final String QUERYDATA_DS = "QUERYDATA_DS";
	public static final String ADMIN_DS = "ADMIN_DS";
	
	/*
	public static final String REBALANCE = "REBALANCE";
	public static final String PUT = "PUT";
	public static final String EXPORT_DATA = "EXPORT_DATA";
	public static final String IMPORT_DATA = "IMPORT_DATA";
	public static final String LOCATE_ENTRY = "LOCATE_ENTRY";*/
	
	public static final String PULSE_DASHBOARD = "PULSE_DASHBOARD";
  public static final String PULSE_DATABROWSER = "PULSE_DATABROWSER";
  public static final String PULSE_ADMIN_V1 = "PULSE_ADMIN_V1";
  public static final String PULSE_WEBGFSH = "PULSE_WEBGFSH";  
	
	public static final String DEFAULT_LABEL="";
	
	public static final String RESORUCE_SEC_DESCRIPTOR = "resource.secDescriptor";
	public static final String RESORUCE_AUTH_ACCESSOR = "resource-auth-accessor";
	public static final String RESORUCE_AUTHENTICATOR = "resource-authenticator";
  public static final String RESORUCE_DEFAULT_SEC_DESCRIPTOR = "resourceSecDesc.json";
  
  //All ResourceOperation Codes
  
  public static final String ALTER_REGION = "ALTER_REGION";
  public static final String ALTER_RUNTIME = "ALTER_RUNTIME";
  public static final String BACKUP_DISKSTORE = "BACKUP_DISKSTORE";
  public static final String CHANGE_ALERT_LEVEL = "CHANGE_ALERT_LEVEL";
  public static final String CLOSE_DURABLE_CLIENT = "CLOSE_DURABLE_CLIENT";
  public static final String CLOSE_DURABLE_CQ = "CLOSE_DURABLE_CQ";
  public static final String COMPACT_DISKSTORE = "COMPACT_DISKSTORE";
  public static final String CONFIGURE_PDX = "CONFIGURE_PDX";
  public static final String CREATE_AEQ = "CREATE_AEQ";
  public static final String CREATE_DISKSTORE = "CREATE_DISKSTORE";
  public static final String CREATE_GW_RECEIVER = "CREATE_GW_RECEIVER";
  public static final String CREATE_GW_SENDER = "CREATE_GW_SENDER";
  public static final String CREATE_INDEX = "CREATE_INDEX";
  public static final String CREATE_REGION = "CREATE_REGION";
  public static final String DEPLOY = "DEPLOY";
  public static final String DESTROY_DISKSTORE = "DESTROY_DISKSTORE";
  public static final String DESTROY_FUNCTION = "DESTROY_FUNCTION";
  public static final String DESTROY_INDEX = "DESTROY_INDEX";
  public static final String DESTROY_REGION = "DESTROY_REGION";
  public static final String EXECUTE_FUNCTION = "EXECUTE_FUNCTION";
  public static final String EXPORT_CONFIG = "EXPORT_CONFIG";
  public static final String EXPORT_DATA = "EXPORT_DATA";
  public static final String EXPORT_LOGS = "EXPORT_LOGS";
  public static final String EXPORT_OFFLINE_DISKSTORE = "EXPORT_OFFLINE_DISKSTORE";
  public static final String EXPORT_STACKTRACE = "EXPORT_STACKTRACE";
  public static final String GC = "GC";
  public static final String GET = "GET";
  public static final String IMPORT_CONFIG = "IMPORT_CONFIG";
  public static final String IMPORT_DATA = "IMPORT_DATA";
  public static final String LIST_DS = "LIST_DS";
  public static final String LOAD_BALANCE_GW_SENDER = "LOAD_BALANCE_GW_SENDER";
  public static final String LOCATE_ENTRY = "LOCATE_ENTRY";
  public static final String NETSTAT = "NETSTAT";
  public static final String PAUSE_GW_SENDER = "PAUSE_GW_SENDER";
  public static final String PUT = "PUT";
  public static final String QUERY = "QUERY";
  public static final String REBALANCE = "REBALANCE";
  public static final String REMOVE = "REMOVE";
  public static final String RENAME_PDX = "RENAME_PDX";
  public static final String RESUME_GW_SENDER = "RESUME_GW_SENDER";
  public static final String REVOKE_MISSING_DISKSTORE = "REVOKE_MISSING_DISKSTORE";
  public static final String SHOW_DEADLOCKS = "SHOW_DEADLOCKS";
  public static final String SHOW_LOG = "SHOW_LOG";
  public static final String SHOW_METRICS = "SHOW_METRICS";
  public static final String SHOW_MISSING_DISKSTORES = "SHOW_MISSING_DISKSTORES";
  public static final String SHOW_SUBSCRIPTION_QUEUE_SIZE = "SHOW_SUBSCRIPTION_QUEUE_SIZE";
  public static final String SHUTDOWN = "SHUTDOWN";
  public static final String STOP_GW_RECEIVER = "STOP_GW_RECEIVER";
  public static final String STOP_GW_SENDER = "STOP_GW_SENDER";
  public static final String UNDEPLOY = "UNDEPLOY";
  public static final String BACKUP_MEMBERS = "BACKUP_MEMBERS";
  public static final String ROLL_DISKSTORE = "ROLL_DISKSTORE";
  public static final String FORCE_COMPACTION = "FORCE_COMPACTION";
  public static final String FLUSH_DISKSTORE = "FLUSH_DISKSTORE";
  public static final String START_GW_RECEIVER = "START_GW_RECEIVER";
  public static final String START_GW_SENDER = "START_GW_SENDER";
  public static final String BECOME_LOCK_GRANTOR = "BECOME_LOCK_GRANTOR";
  public static final String START_MANAGER = "START_MANAGER";
  public static final String STOP_MANAGER = "STOP_MANAGER";
  public static final String CREATE_MANAGER = "CREATE_MANAGER";

  

}
